| SX126x-Arduino 2.0.1

Data Fields
ModulationParams_t Struct Reference

The type describing the modulation parameters for every packet types. More...

`#include <sx126x.h>`

## Data Fields
RadioPacketTypes_t | PacketType
| Packet to which the modulation parameters are referring to. More...
struct {
struct {
uint32_t BitRate
uint32_t Fdev
RadioModShapings_t ModulationShaping
uint8_t Bandwidth
} Gfsk
struct {
RadioLoRaSpreadingFactors_t SpreadingFactor
| Spreading Factor for the LoRa modulation. More...
RadioLoRaBandwidths_t Bandwidth
| Bandwidth for the LoRa modulation. More...
RadioLoRaCodingRates_t CodingRate
| Coding rate for the LoRa modulation. More...
uint8_t LowDatarateOptimize
| Indicates if the modem uses the low datarate optimization. More...
} LoRa
} | Params
| Holds the modulation parameters structure. More...

## Detailed Description

The type describing the modulation parameters for every packet types.

## Field Documentation

## ◆ PacketType

RadioPacketTypes_t ModulationParams_t::PacketType

Packet to which the modulation parameters are referring to.

## ◆ BitRate

uint32_t ModulationParams_t::BitRate

## ◆ Fdev

uint32_t ModulationParams_t::Fdev

## ◆ ModulationShaping

RadioModShapings_t ModulationParams_t::ModulationShaping

## ◆ Bandwidth [1/2]

uint8_t ModulationParams_t::Bandwidth

## ◆ Gfsk

struct { ... } ModulationParams_t::Gfsk

## ◆ SpreadingFactor

RadioLoRaSpreadingFactors_t ModulationParams_t::SpreadingFactor

Spreading Factor for the LoRa modulation.

## ◆ Bandwidth [2/2]

RadioLoRaBandwidths_t ModulationParams_t::Bandwidth

Bandwidth for the LoRa modulation.

## ◆ CodingRate

RadioLoRaCodingRates_t ModulationParams_t::CodingRate

Coding rate for the LoRa modulation.

## ◆ LowDatarateOptimize

uint8_t ModulationParams_t::LowDatarateOptimize

Indicates if the modem uses the low datarate optimization.

## ◆ LoRa

struct { ... } ModulationParams_t::LoRa

## ◆ Params

struct { ... } ModulationParams_t::Params

Holds the modulation parameters structure.

The documentation for this struct was generated from the following file:

- src/radio/sx126x/sx126x.h